Bug 476449 - Review Request: perl-SystemC-Vregs - Utility routines used by vregs
Review Request: perl-SystemC-Vregs - Utility routines used by vregs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 476386
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 16:22 EST by Chitlesh GOORAH
Modified: 2009-03-04 15:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 15:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-14 16:22:04 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-SystemC-Vregs.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-SystemC-Vregs-1.460-1.fc10.src.rpm
Description:
A Vregs object contains a documentation "package" containing enumerations,
definitions, classes, and registers.
Comment 1 Brennan Ashton 2008-12-14 17:59:40 EST
[x]source files match upstream:
ea8145aa33a10874007187e628cc90805b4c29d8cd57bbed024abb1dc4a0a308  SystemC-Vregs-1.460.tar.gz

[x]package meets naming and versioning guidelines.
[x]specfile is properly named, is cleanly written and uses macros consistently.
[x]dist tag is present.
build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     is the recommended value, but not the only one)
[FAIL]license field matches the actual license.

It is GPL+ not LGPL according to the webpage and README this also results in rpmlint errors

[x]license is open source-compatible.
[x]latest version is being packaged.
[x]BuildRequires are proper.
[x]compiler flags are appropriate.
[x]%clean is present.
package builds in mock.
I would have to set my own repo up to do this because of a require still being under review.
[FAIL]package installs properly.
You will need to include the SystemC-Vregs-1.460/t/ folder for the examples that you include to run.
[x]debuginfo package looks complete.
[FAIL]rpmlint is silent.

perl-SystemC-Vregs.src: W: invalid-license LGPL+
perl-SystemC-Vregs.src: W: invalid-license Artistic
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/03_spaces.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/25_vregshdrs.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/30_cbitfields.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/20_vregsparse.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/10_language.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/50_gcc_hdr.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/55_gcc_info.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/60_gcc_vderegs.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/00_pod.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/05_number.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/01_manifest.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/02_help.t
perl-SystemC-Vregs.noarch: W: spurious-executable-perm /usr/share/doc/perl-SystemC-Vregs-1.460/examples/51_gcc_str.t
perl-SystemC-Vregs.noarch: W: invalid-license LGPL+
perl-SystemC-Vregs.noarch: W: invalid-license Artistic
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/25_vregshdrs.t perl(Config)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/00_pod.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/01_manifest.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/02_help.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/03_spaces.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/05_number.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/10_language.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/20_vregsparse.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/25_vregshdrs.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/30_cbitfields.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/50_gcc_hdr.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/51_gcc_str.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/55_gcc_info.t perl(Test)
perl-SystemC-Vregs.noarch: W: doc-file-dependency /usr/share/doc/perl-SystemC-Vregs-1.460/examples/60_gcc_vderegs.t perl(Test)
2 packages and 1 specfiles checked; 0 errors, 31 warnings.

do you really need these in there?  It is OK, but discouraged, see https://bugzilla.redhat.com/show_bug.cgi?id=422841 as an example.

[x]final provides and requires are sane:
[makerpm@laptop SPECS]$ rpm -qp --provides ../RPMS/noarch/perl-SystemC-Vregs-1.460-1.fc10.noarch.rpm 
perl(SystemC::Vregs) = 1.460
perl(SystemC::Vregs::Bit) = 1.460
perl(SystemC::Vregs::Define) = 1.460
perl(SystemC::Vregs::Define::Value)  
perl(SystemC::Vregs::Enum) = 1.460
perl(SystemC::Vregs::Enum::Value)  
perl(SystemC::Vregs::File) = 1.460
perl(SystemC::Vregs::Language) = 1.460
perl(SystemC::Vregs::Language::Assembler)  
perl(SystemC::Vregs::Language::C)  
perl(SystemC::Vregs::Language::CPP)  
perl(SystemC::Vregs::Language::Gas)  
perl(SystemC::Vregs::Language::Lisp)  
perl(SystemC::Vregs::Language::Perl)  
perl(SystemC::Vregs::Language::Tcl)  
perl(SystemC::Vregs::Language::Verilog)  
perl(SystemC::Vregs::Language::XML)  
perl(SystemC::Vregs::Number) = 1.460
perl(SystemC::Vregs::Output::CBitFields) = 1.460
perl(SystemC::Vregs::Output::Class) = 1.460
perl(SystemC::Vregs::Output::Defines) = 1.460
perl(SystemC::Vregs::Output::Hash) = 1.460
perl(SystemC::Vregs::Output::Info) = 1.460
perl(SystemC::Vregs::Output::Latex) = 1.460
perl(SystemC::Vregs::Output::Layout) = 1.460
perl(SystemC::Vregs::Output::Param) = 1.460
perl(SystemC::Vregs::Register) = 1.460
perl(SystemC::Vregs::Rules) = 1.460
perl(SystemC::Vregs::Subclass) = 1.460
perl(SystemC::Vregs::TableExtract) = 1.460
perl(SystemC::Vregs::Type) = 1.460
perl(Vregs)  
perl-SystemC-Vregs = 1.460-1.fc10
[makerpm@laptop SPECS]$ rpm -qp --requires ../RPMS/noarch/perl-SystemC-Vregs-1.460-1.fc10.noarch.rpm 
/usr/bin/perl  
perl >= 0:5.005
perl(:MODULE_COMPAT_5.10.0)  
perl(Bit::Vector)  
perl(Bit::Vector::Overload)  
perl(Carp)  
perl(Config)  
perl(Data::Dumper)  
perl(File::Basename)  
perl(FindBin)  
perl(Getopt::Long)  
perl(HTML::Entities)  
perl(HTML::Parser)  
perl(HTML::TableExtract)  
perl(HTML::TableExtract)  
perl(IO::File)  
perl(Pod::Usage)  
perl(SystemC::Vregs)  
perl(SystemC::Vregs::Bit)  
perl(SystemC::Vregs::Define)  
perl(SystemC::Vregs::Enum)  
perl(SystemC::Vregs::File)  
perl(SystemC::Vregs::Language)  
perl(SystemC::Vregs::Number)  
perl(SystemC::Vregs::Output::CBitFields)  
perl(SystemC::Vregs::Output::Class)  
perl(SystemC::Vregs::Output::Defines)  
perl(SystemC::Vregs::Output::Hash)  
perl(SystemC::Vregs::Output::Info)  
perl(SystemC::Vregs::Output::Latex)  
perl(SystemC::Vregs::Output::Layout)  
perl(SystemC::Vregs::Output::Param)  
perl(SystemC::Vregs::Register)  
perl(SystemC::Vregs::Rules)  
perl(SystemC::Vregs::Subclass)  
perl(SystemC::Vregs::TableExtract)  
perl(SystemC::Vregs::Type)  
perl(Test)  
perl(Verilog::Language)  
perl(Verilog::Language) >= 2.1
perl(base)  
perl(lib)  
perl(strict)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

[x]%check is present and all tests pass:

PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00_cleanhtml......ok   
t/00_pod............ok     
t/01_manifest.......ok   
t/02_help...........ok   
t/03_spaces.........ok     
t/05_number.........ok   
t/10_language.......ok     
t/20_vregsparse.....ok   
t/25_vregshdrs......ok     
t/30_cbitfields.....ok   
t/50_gcc_hdr........ok   
t/51_gcc_str........ok   
t/55_gcc_info.......ok   
t/60_gcc_vderegs....1/3 In file included from 60_gcc_vderegs.cpp:14:
../examples/include/vderegs.cpp:30:31: error: readline/readline.h: No such file or directory
../examples/include/vderegs.cpp:31:30: error: readline/history.h: No such file or directory
In file included from 60_gcc_vderegs.cpp:14:
../examples/include/vderegs.cpp: In member function ‘std::string VDeregs::getLine(const char*)’:
../examples/include/vderegs.cpp:151: error: ‘readline’ was not declared in this scope
t/60_gcc_vderegs....ok   
All tests successful.
Files=14, Tests=148,  9 wallclock secs ( 0.16 usr  0.04 sys +  6.01 cusr  0.63 csys =  6.84 CPU)
Result: PASS

The little hickup in the middle is ok, as it does not keep it from passing and is do to a two files that are example files no longer included.

[x]owns the directories it creates.
[x]doesn't own any directories it shouldn't.
[x]no duplicates in %files.
[x]file permissions are appropriate.
see rpmlint section

[x]no scriptlets present.
[x]code, not content.
[x]documentation is small, so no -docs subpackage is necessary.

[x]%docs are not necessary for the proper functioning of the package.
[x]no headers.
[x]no pkgconfig files.
[x]no libtool .la droppings.

Once these are fixed I will do another review for approval.
Comment 4 Chitlesh GOORAH 2009-01-31 20:13:08 EST
Ping Brennan
Comment 5 Brennan Ashton 2009-02-23 17:10:28 EST
[X]license field matches the actual license.
[x]package installs properly.
[X]rpmlint is silent.
rpmlint perl-SystemC-Vregs.spec ../SRPMS/perl-SystemC-Vregs-1.461-1.fc10.src.rpm ../RPMS/noarch/perl-SystemC-Vregs-1.461-1.fc10.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Koji scratch build is fine
http://koji.fedoraproject.org/koji/taskinfo?taskID=1148426

review+


Sorry for the delay it slipped my mind, I will get that other package I am holding reviewed shortly as well.
Comment 6 Chitlesh GOORAH 2009-02-23 18:19:25 EST
New Package CVS Request
=======================
Package Name: perl-SystemC-Vregs
Short Description: Utility routines used by vregs
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 7 Kevin Fenzi 2009-02-24 15:47:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.